# 17. Query: Get "SoilDatasets"

Get all "SoilDatasets" for the selected "Field". Datasets can be fetched using generic GraphQL queries like `getFarms` and `getFields` from the linked "Field".&#x20;

{% hint style="warning" %}
A "SoilDataset" has to be uploaded in advance.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #if exists
        number #total number of geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #complete details per attribute
          name #link to statistics >> attribute
          transliteratedName
          fullName #if exists
          unit #if exists
        }

        createdDate #entity created datetime in GeoPard
        updatedDate #last update datetime
        operationType
        operationId
        operationFileDate #file creation datetime
        operationStartDate #start of the operation
        
        statistics { #statistics distribution for every soil attribute
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #if exists 
        number #total number of geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link to statistics >> attribute
          transliteratedName
          fullName #if exists
          unit #if exists
        }
      
        createdDate #created datetime in GeoPard
        updatedDate #last update datetime in GeoPard
        operationFileDate #file creation datetime (if exists)
        operationStartDate #start of the operation (if exists)
      
        statistics { #statistical distribution for every soil attribute
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visual representation
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/17.-query-get-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
